syntax = "proto3";

import "pkgs/rpc/rpc.proto";

package hubrpc;

option go_package = "gitlink.org.cn/cloudream/jcs-pub/common/pkgs/rpc/hubrpc;hubrpc";


service Hub {
    rpc ExecuteIOPlan(rpc.Request) returns(rpc.Response);
    rpc SendIOStream(stream rpc.ChunkedData)returns(rpc.Response);
    rpc GetIOStream(rpc.Request)returns(stream rpc.ChunkedData);
    rpc SendIOVar(rpc.Request)returns(rpc.Response);
    rpc GetIOVar(rpc.Request)returns(rpc.Response);

    rpc PublicStoreListAll(rpc.Request) returns(rpc.Response);
    rpc PublicStoreMkdirs(rpc.Request) returns(rpc.Response);

    rpc CheckCache(rpc.Request) returns(rpc.Response);
    rpc CacheGC(rpc.Request) returns(rpc.Response);

    rpc Ping(rpc.Request) returns(rpc.Response);
    rpc GetState(rpc.Request) returns(rpc.Response);
}